Package weka.classifiers.trees.m5

# Class Impurity

java.lang.Object
weka.classifiers.trees.m5.Impurity

All Implemented Interfaces:
  `RevisionHandler`

public final class Impurity extends Object implements RevisionHandler
Class for handling the impurity values when spliting the instances

Version:
  $Revision: 1.8 $
Author:
  Yong Wang (yongwang@cs.waikato.ac.nz)

## Constructor Summary

Constructors
Constructor
Description
`Impurity(int partition, int attribute, Instances inst, int k)`
Constructs an Impurity object containing the impurity values of partitioning the instances using an attribute

## Method Summary

Modifier and Type
Method
Description
`String`
`getRevision()`
Returns the revision string.
`final void`
`incremental(double value, int type)`
Incrementally computes the impurirty values
`final String`
`toString()`
Converts an Impurity object to a string

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Impurity

public Impurity(int partition, int attribute, Instances inst, int k)
Constructs an Impurity object containing the impurity values of partitioning the instances using an attribute

Parameters:
  `partition` - the index of the last instance in the left subset
  `attribute` - the attribute used in partitioning
  `inst` - instances
  `k` - the order of the impurity; =1, the variance; =2, the stardard deviation; =k, the k-th order root of the variance

## Method Details

### toString

public final String toString()
Converts an Impurity object to a string

Overrides:
  `toString` in class `Object`
Returns:
  the converted string

### incremental

public final void incremental(double value, int type)
Incrementally computes the impurirty values

Parameters:
  `value` - the incremental value
  `type` - if type=1, value will be added to the left subset; type=-1, to the right subset; type=0, initializes

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision